Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 235013 (CVE-2007-1804)

Summary: CVE-2007-1804: pulseaudio 0.9.5 DoS
Product: [Fedora] Fedora Reporter: Ville Skytt√§ <ville.skytta>
Component: pulseaudioAssignee: Lennart Poettering <lpoetter>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: fedora-security-list, pierre-bugzilla
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-09-07 10:24:35 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Ville Skyttä 2007-04-03 11:01:31 UTC
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2007-1804

"PulseAudio 0.9.5 allows remote attackers to cause a denial of service (daemon
crash) via (1) a PA_PSTREAM_DESCRIPTOR_LENGTH value of FRAME_SIZE_MAX_ALLOW sent
on TCP port 9875, which triggers a p->export assertion failure in do_read; (2) a
PA_PSTREAM_DESCRIPTOR_LENGTH value of 0 sent on TCP port 9875, which triggers a
length assertion failure in pa_memblock_new; or (3) an empty packet on UDP port
9875, which triggers a t assertion failure in pa_sdp_parse; and allows remote
authenticated users to cause a denial of service (daemon crash) via a crafted
packet on TCP port 9875 that (4) triggers a maxlength assertion failure in
pa_memblockq_new, (5) triggers a size assertion failure in pa_xmalloc, or (6)
plays a certain sound file."

FC5, FC6, devel have 0.9.5 at the moment.

Comment 1 Lennart Poettering 2007-05-28 20:47:38 UTC
PulseAudio 0.9.6 fixes these issues.

Comment 2 Lennart Poettering 2007-09-07 10:23:31 UTC
This has been fixed for quite a while in Rawhide. Since these all are issues
that only trigger an assert() they are quite a low priority. Also, to trigger
them some non-standard modules need to be loaded into the sound server. Thus, I
so no need to provide updates for FC5/FC6.